### Method

# Gimp Image get_selected_channels

unstable since: 3.0.0

#### Declaration [src]

    GimpChannel**
    gimp_image_get_selected_channels (
      GimpImage* image,
      gint* num_channels
    )

#### Description [src]

Returns the specified image’s selected channels.

This procedure returns the list of selected channels in the specified image.

Available since: 3.0.0

This method is not directly available to language bindings.

#### Parameters

`num_channels`

  Type: `gint*`

  The number of selected channels in the image.

  The argument will be set by the function.

#### Return value

Type: An array of `GimpChannel*`

         The list of selected channels in the image.
         The returned value must be freed with g_free().

The length of the array is in the `num_channels` argument.
The caller of the method takes ownership of the data container, but not the data inside it.